Package ghidra.app.decompiler.component.hover

# Class DataTypeDecompilerHover

java.lang.Object
ghidra.app.plugin.core.hover.AbstractHover
ghidra.app.plugin.core.hover.AbstractConfigurableHover
ghidra.app.decompiler.component.hover.DataTypeDecompilerHover

All Implemented Interfaces:
  `DecompilerHoverService`, `HoverService`, `OptionsChangeListener`, `Disposable`

public class DataTypeDecompilerHover extends ghidra.app.plugin.core.hover.AbstractConfigurableHover implements DecompilerHoverService

- ## Field Summary

  ### Fields inherited from class ghidra.app.plugin.core.hover.AbstractConfigurableHover

  `options`

  ### Fields inherited from class ghidra.app.plugin.core.hover.AbstractHover

  `enabled, priority, tool`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `DataTypeDecompilerHover(PluginTool tool)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected String`
  `getDescription()`
  `static DataType`
  `getFieldDataType(ClangFieldToken field)`
  `JComponent`
  `getHoverComponent(Program program, ProgramLocation programLocation, FieldLocation fieldLocation, Field field)`
  Returns a component to be shown in a popup window that is relevant to the given parameters.
  `protected String`
  `getName()`
  `protected String`
  `getOptionsCategory()`

  ### Methods inherited from class ghidra.app.plugin.core.hover.AbstractConfigurableHover

  `dispose, initializeOptions, optionsChanged, setOptions`

  ### Methods inherited from class ghidra.app.plugin.core.hover.AbstractHover

  `componentHidden, componentShown, createTooltipComponent, getPriority, hoverModeSelected, isValidTooltipContent, scroll`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface ghidra.app.services.HoverService

  `componentHidden, componentShown, getPriority, hoverModeSelected, scroll`

- ## Constructor Details

  - ### DataTypeDecompilerHover

    protected DataTypeDecompilerHover(PluginTool tool)

- ## Method Details

  - ### getName

    protected String getName()
    Specified by:
      `getName` in class `ghidra.app.plugin.core.hover.AbstractConfigurableHover`

  - ### getDescription

    protected String getDescription()
    Specified by:
      `getDescription` in class `ghidra.app.plugin.core.hover.AbstractConfigurableHover`

  - ### getOptionsCategory

    protected String getOptionsCategory()
    Specified by:
      `getOptionsCategory` in class `ghidra.app.plugin.core.hover.AbstractConfigurableHover`

  - ### getHoverComponent

    public JComponent getHoverComponent(Program program, ProgramLocation programLocation, FieldLocation fieldLocation, Field field)
    Description copied from interface: `HoverService`
    Returns a component to be shown in a popup window that is relevant to the given parameters. Null is returned if there is no appropriate information to display.
    Specified by:
      `getHoverComponent` in interface `HoverService`
    Parameters:
      `program` - the program that is being hovered over.
      `programLocation` - the program location where the mouse is hovering.
      `fieldLocation` - the precise mouse location within the field viewer
      `field` - the field over which the mouse is hovering
    Returns:
      The component to be shown for the given location information.

  - ### getFieldDataType

    public static DataType getFieldDataType(ClangFieldToken field)